Page 1 of 4 1 2 3 ... LastLast
Results 1 to 15 of 49

Thread: SDK en Java installatie bij RAD Studio 10.3

  1. #1

    SDK en Java installatie bij RAD Studio 10.3

    Ik gebruik nu RAD Studio 10.3.

    Het automatisch installeren van de SDK Tools (en Java ?) werkt niet, dus deze moet ik handmatig installeren.
    Welke versie's moet ik nu precies gebruiken ?

    De "SDK Editor" kan ik opstarten en versie's installeren en verwijderen.

    Hoe ik Java versie's kan installeren is mij nog niet duidelijk, dus hoe doe ik dat precies en welke versie heb ik hiervoor nodig ?

    Edit:
    Als ik het goed begrijp heb ik java development kit 1.8 nodig, maar waar haal ik die precies vandaan en welke versie heb ik precies nodig (ik kom zoveel verschillende tegen) ?
    Last edited by MMSoft; 07-Aug-19 at 20:50.

  2. #2
    Wie van julie gebruikt XE10.3 (voor android APPs) en wil even kijken
    bij: Tools > Options > Deployment > SDK Manager

    Welke Andriod versie jullie gebruiken en wie kan mij vertellen hoe ik deze precies installeer ?

    Ook ben ik benieuwd welke Java versie ik nodig heb en hoe ik dat precies moet doen.

    Als ik een project probeer te compileren krijg ik deze fout melding:
    c:\program files (x86)\embarcadero\studio\20.0\lib\Android\Debug\go ogle-play-services-wallet-7.0.0.dex.jar" " exited with code 9009.

  3. #3
    Senior Member ErikB's Avatar
    Join Date
    Aug 2010
    Location
    Biddinghuizen
    Posts
    466
    bij mij is SDK 25.2.5 32 bit ge´nstalleerd (heb 'm nog niet gebruikt)
    SDK base path : C:\Users\Public\Documents\Embarcadero\Studio\20.0\ CatalogRepository\AndroidSDK-2525_20.0.34749.6593 ,
    NDK : C:\Users\Public\Documents\Embarcadero\Studio\20.0\ CatalogRepository\AndroidNDK-17b_20.0.34749.6593

    Via Tools > manage platforms > tabblad Additional options kan je "Android SDK 25.2.5 - NDK r17b" aanvinken voor installatie
    Erik

  4. #4
    Via Tools > manage platforms > ...
    Ik heb gezocht in de Andriod SDK Manager, Bij Tab blad Tools (Rechts naast Packages), daar staat niets van "manage platforms"
    Tevens heb ik gezocht in de Andriod SDK Manager in de boom structuur, maar ook daar vindt ik "manage platforms" niet.

    Ook heb ik in RADStudio gezocht in het tabblad 'Tools' maar ook daar vindt ik "manage platforms" niet.

    Dus waar moet ik precies zijn ?

  5. #5
    Senior Member ErikB's Avatar
    Join Date
    Aug 2010
    Location
    Biddinghuizen
    Posts
    466
    in het hoofdmenu van Rio:
    File - Edit - Search - View - Refractor - Project - Run - Component - TOOLS - tabs -Help
    Tools aanklikken en dan kiezne voor Manage Platforms

    ik heb wel de Enterprise versie van Delphi Rio.
    Overigens : op het eerste tabblad van "Manage Platforms" staat natuurlijk bij mij wel aangevinkt dat "Delphi android enterprise" ge´nstalleerd is.
    Erik

  6. #6
    Click image for larger version. 

Name:	Tools.jpg 
Views:	335 
Size:	67.0 KB 
ID:	7980
    Deze keuze's heb ik onder Tools

  7. #7
    Senior Member ErikB's Avatar
    Join Date
    Aug 2010
    Location
    Biddinghuizen
    Posts
    466
    Name:  scan.jpg
Views: 715
Size:  29.7 KB
    volgens mij mis je iets ... maar waarom dat zo is, ontgaat me nog even
    Erik

  8. #8
    Fornicatorus Formicidae VideoRipper's Avatar
    Join Date
    Mar 2005
    Location
    Vicus Saltus Orientalem
    Posts
    5,545
    Heb je wel een FMX compatible project gestart?

    Ik heb/ken RIO niet, maar kan me nog wel herinneren (XE2..10? Seattle?) dat je niet alle opties in je menu krijgt
    als je het verkeerde soort project gekozen hebt in "File" -> "New" -> "Project".
    Net zoals dat je geen visuele componenten ziet wanneer je een datamodule geselecteerd hebt (daar heb ik mij 20 jaar geleden echt een ongeluk
    naar gezocht).
    TMemoryLeak.Create(Nil);

  9. #9
    Ik ben het test project zo begonnen (zo deed ik dat ook bij 10.1, waarbij het wel werkten):
    File > New > Multi-Device Application-Delphi > Blank Application
    Dan kies ik voor Andriod en zet de Style op Android.

    Click image for larger version. 

Name:	Project.jpg 
Views:	117 
Size:	72.0 KB 
ID:	7982

    Dat lijkt mij goed te zijn, maar als ik wil compileren krijg ik deze foutmelding in de log:
    google-play-services-wallet-7.0.0.dex.jar" " exited with code 9009.
    Last edited by MMSoft; 12-Aug-19 at 12:56.

  10. #10
    Fornicatorus Formicidae VideoRipper's Avatar
    Join Date
    Mar 2005
    Location
    Vicus Saltus Orientalem
    Posts
    5,545
    Quote Originally Posted by MMSoft View Post
    exited with code 9009
    Fout code 9009 betekent denk ik "File not found" als ik zo op Google rondneus.
    TMemoryLeak.Create(Nil);

  11. #11
    Het bestand is aanwezig, en ook nog in de map die in de foutmelding staat:
    "c:\program files (x86)\embarcadero\studio\20.0\lib\Android\Debug\go ogle-play-services-wallet-7.0.0.dex.jar" " exited with code 9009.

    Click image for larger version. 

Name:	Bestand.jpg 
Views:	138 
Size:	47.1 KB 
ID:	7984



    Deze Java versie "jdk1.7.0_71" heb ik er niet opstaan !!
    Is dat de juiste, en waar haal ik deze vandaan en hoe installeer ik deze precies ?
    Click image for larger version. 

Name:	Java.jpg 
Views:	127 
Size:	27.3 KB 
ID:	7985

    Is dit de juiste site, en zo ja welke heb ik precies nodig ?
    https://www.oracle.com/technetwork/j...e7-521261.html
    Last edited by MMSoft; 12-Aug-19 at 13:52.

  12. #12
    John Kuiper
    Join Date
    Apr 2007
    Location
    Almere
    Posts
    8,673
    Volgens mij de juiste site en zal je jdk-7u71-windows-i586.exe of jdk-7u71-windows-x64.exe moeten hebben.

    Ik meen mij te herrineren dat als je de android platform selecteert bij de installatie, de installatie de juiste SDK download en installeert.

    Als ik kijk naar mijn settings:
    Click image for larger version. 

Name:	aditional options delphi rio update 1.png 
Views:	379 
Size:	71.1 KB 
ID:	7986

    Click image for larger version. 

Name:	sdk manager.png 
Views:	162 
Size:	47.1 KB 
ID:	7987
    snap ik de keuze van SDK 1.71 niet

    https://www.oracle.com/technetwork/j...s-2133151.html

    jdk-8u221-windows-i586.exe of jdk-8u221-windows-x64.exe
    Last edited by jkuiper; 12-Aug-19 at 16:47.
    Delphi is great. Lazarus is more powerfull

  13. #13
    Ik heb "jdk-8u221-windows-x64.exe" gebruikt, dat lijkt mij nu goed te zijn.
    Maar als ik wil compileren krijg ik nog steeds deze foutmelding in de log:
    google-play-services-wallet-7.0.0.dex.jar" " exited with code 9009.

  14. #14
    Moet ik ook nog het "Java Development Kit 1.8" installeren (of is dat "jdk-8u221-windows-x64.exe" ?) en zoja waar kan ik die precies downloaden ?
    Ik kom zoveel tegen en wil zeker weten dat ik de juiste gebruik !

    Edit:
    Hier lees ik over een soort gelijk probleem:
    https://en.delphipraxis.net/topic/34...hi-tokyo-1023/
    Daar werkt het alleen met een bepaalde JDK versie.

    Ik gebruik versie "jdk1.7.0_71" is dat de juiste voor RAD Studio 10.3 Version 26.0.32429.4364 ?
    Last edited by MMSoft; 13-Aug-19 at 07:25.

  15. #15
    John Kuiper
    Join Date
    Apr 2007
    Location
    Almere
    Posts
    8,673
    Nee, alleen de versie die meegeleverd wordt met de setup van Rio. Anders heb je compability problemen.

    Maar welke Rio versie heb je nu: community, professional of enterprise?
    Delphi is great. Lazarus is more powerfull

Page 1 of 4 1 2 3 ... LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •